#include <bits/stdc++.h>
using namespace std;
int a[5005], b[5005];
int mat[505][505];
void ispis(int n){
    for(int i = 1; i<=n; i++){
        for(int j = 1; j<=n; j++){
            cout << mat[i][j] << " ";
        }
        cout << endl;
    }
}
long long Konflikt(int N,int M,int *A,int *B){
    long long best = 7777777, tren = 0;
    for(int i = 0; i<M; i++){
    for(int j = 1; j<=N; j++){
        a[j] = (A[j]+i)%M;
        b[j] = B[j];
    }
    for(int j = 1; j<=N; j++){
        int mn = 67676767, k1;
        for(int k = 1; k<=N; k++){
            int x = a[j]+b[k];
            if(x>M) x = x%M+2;
              // cout << j << " " << k << " " << abs(a[j]-b[k]) << " " << x << endl;
                mn = min(abs(a[j]-b[k]), x);
               // cout << mn << " ";
                mat[j][k] = mn;

        }
        //cout << abs(a[1]-b[2]) << endl;
        //cout << mn << " " << j << " " << k1 << endl;
       /// cout << "Mn:" << mn << endl;
    }
   // ispis(N);
    for(int j = 1; j<=N; j++){
            int mn = 67676767;
        for(int k = 1; k<=N; k++){
            if(mat[j][k]<mn) mn = mat[j][k];
        }
    tren+=mn;
    }
   // cout << endl << tren << endl;
    //if(tren==2) cout << i << endl;
    if(tren<best) best = tren;
    tren = 0;
    }
    return best;
}